##########
# Convert sketchup to collada file
##########

#!/bin/bash

if [ $# -lt 2  ]; then
	echo "Usage: converts collada to my format. Got only $# of 2 params."
	echo "     $0 colladaDir outDir [optional: modelist.txt]"
	exit
fi

inDir=$1
outDir=$2

mFile="$inDir/ModelList.txt"

if [ $# -gt 2 ]; then
	mFile=$2
	if [ ! -f $mFile ]; then
		echo "Cannot find models file: "$mFile
		exit
	fi
else
	if [ ! -f $mFile ]; then
		mFile="$inDir/../ModelList.txt"
		if [ ! -f $mFile ]; then
			for mName in `ls -1 -d $inDir/*`; do 
				bName=`basename $mName`
				echo $bName >> $mFile
			done
		fi
	fi
fi

scriptDir="$( cd "$( dirname "$0" )" && pwd )"
exe="$scriptDir/../../CreateGeometry"
if [ ! -d $outDir ]; then mkdir $outDir; fi

while read bName ; do
	if [ ${#bName} -eq 0 ]; then continue; fi
	params="-dirType ColladaDirs -type MyFormat -outGeomName main -process -write"
#	echo Converting $bName
	$exe $inDir -writeDir $outDir $params -model $bName
	if [ `ls core.* 2>/dev/null | grep -c core` -gt 0 ]; then rm core.*; fi
done < $mFile



