#!/bin/bash

if [ $# -lt 1 ]; then
	echo "Usage: "
	echo "	./$0 inDir outDir"
	echo ""
	exit
fi

inDir=$1
outDir=$2

if [ ! -d $outDir ]; then 
	mkdir $outDir
fi

for file in `ls -1 $inDir/*`
do
	echo "--------------"
	echo "Processing $file"
	
	nopath=`basename $file`
	extOnly="."`echo "$nopath" | cut -d'.' -f2`
	fileOnly=`echo "$nopath" | cut -d'.' -f1`

	if [ $extOnly == ".zip" ] || [ $extOnly == ".kmz" ]; then		
		if [ ! -d $outDir/$fileOnly ]; then
			mkdir $outDir/$fileOnly
		fi

		if [ $extOnly == ".zip" ]; then
			cp $file $outDir/$fileOnly
		else
			cp $file $outDir/$fileOnly/$fileOnly.zip
		fi

		currDir=`pwd`
		cd $outDir/$fileOnly
		unzip $fileOnly.zip &> ../unzip.txt
		rm $fileOnly.zip
		cd $currDir
	fi
done




